import { Page } from '@ewizardjs/pages-api';
import { SystemSettings } from '@ewizardjs/system-settings';
import { ComponentsFileProps } from '@ewizardjs/builder-utils';
export default function (systemSettings: SystemSettings, baseDir: string, { fileProps, filePathProps, componentsPackageName }: ComponentsFileProps, pages?: Page[]): Promise<{
    test: RegExp;
    use: {
        loader: string;
        options: {
            baseDir: string;
            fileProps: {};
            filePathProps: {};
            componentsPackageName: {};
            componentType: string;
        };
    }[];
}[] | ({
    test: RegExp;
    use: {
        loader: string;
        options: {
            baseDir: string;
            fileProps: {};
            filePathProps: {};
            componentsPackageName: {};
            componentType: string;
            id: string;
        };
    }[];
} | {
    test: RegExp;
    include: string[];
    use: {
        loader: string;
        options: {
            baseDir: string;
            filePathProps: {};
            componentsPackageName: {};
            componentType: string;
            paths: string[];
        };
    }[];
} | {
    include: string[];
    use: {
        loader: string;
        options: {
            baseDir: string;
            fileProps: {};
            filePathProps: {};
            componentsPackageName: {};
            componentType: string;
        };
    }[];
})[]>;
